### Method

# Ggit Tree get

#### Declaration [src]

    GgitTreeEntry*
    ggit_tree_get (
      GgitTree* tree,
      guint i
    )

#### Description [src]

Get a tree entry by index.

#### Parameters

`i`

  Type: `guint`

  The index of the entry.

#### Return value

Type: `GgitTreeEntry`

A `GgitTreeEntry` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.